<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($releves, 'pager_releve');

$releves = $pager->getStatement();

?>

<table class="table table-striped">
	<caption>Releve</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td><?php echo $pager->getSortLink('croquis_id'); ?></td>
			<td><?php echo $pager->getSortLink('sitefouille_id'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($releves as $releve): ?>
		<tr>
			<td<?php echo $pager->getClass($releves); ?>><?php echo $releve->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($releves); ?>><?php echo $releve->get('croquis_id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($releves); ?>><?php echo $releve->get('sitefouille_id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($releves); ?>><a href="<?php echo $this->getRequest('Releve', 'edit', $releve->getPrimary()); ?>">EDIT</a></td>
			<td<?php echo $pager->getClass($releves); ?>><a href="<?php echo $this->getRequest('Releve', 'delete', $releve->getPrimary()); ?>">DELETE</a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="5"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="5">
				<a href="<?php echo $this->getRequest('Releve', 'add'); ?>">ADD</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>">Go back to index</a>
			</td>
		</tr>
	</tfoot>
</table>